PETSc version 3.15.5
Fix/Edit manual page

# KSPCheckDot

Checks if the result of a dot product used by the corresponding KSP contains Inf or NaN. These indicate that the previous application of the preconditioner generated an error Collective on ksp

### Input Parameter

| ksp | - the linear solver (KSP) context.

### Output Parameter

| beta | - the result of the inner product

### Developer Note

this is used to manage returning from KSP solvers whose preconditioners have failed in some way

### See Also

KSPCreate(), KSPSetType(), KSP, KSPCheckNorm(), KSPCheckSolve()

### Level

developer

### Location

src/ksp/ksp/guess/../../../../include/petsc/private/kspimpl.h
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages